Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07674 Media Support Minor Always Jun 3, 2020, 12:06 Jun 15, 2020, 12:50
Tester Pernod View Status Public Platform MAME (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver bbc.cpp
Version 0.221 Fixed in Version 0.222 Build 64-bit
Summary MESS-specific 07674: bbcb: Solidisk DFS (8271) returns Diskfault
Description The Solidisk DFS 2.1 is an alternative Disk Filing System that could be used instead of the more usual Acorn DFS. This particular version is intended for use with the standard Acorn 8271 FDC implementation.

The Solidisk DFS seems to be using 8271 commands that are incorrectly implemented, causing a Diskfault. I suspect something related to Read/Write Special Registers and Read Drive Status.
Steps To Reproduce mame bbcb -fdc acorn8271 -rom1 stldfs21 -flop1 3dbombal

The machine should start, reporting DFS 2.1 (8271) is installed.

Catalogue the floppy by typing *CAT, and Diskfault at 00/00/00 is returned, expected result is to display the floppy catalogue.
Additional Information A similar Disk fault can be produced with the Acorn DFS which is likely due to the same 8271 issue.

mame bbcb -fdc acorn8271 -flop1 3dbombal

Dump a file from floppy to screen with *DUMP LOGO, should see the file LOGO being dumped and scrolled on screen.

Enable page mode with CTRL N, then *DUMP LOGO. The screen will now not scroll and needs SHIFT to be pressed to display another page. Pressing SHIFT will cause a Disk fault 18 at 07/00.

Both test cases use the 8271 Special Registers and Read Drive Status.
Flags
Regression Version
Affected Sets / Systems bbcb
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.17716
Tafoid
Administrator
Jun 3, 2020, 16:58
confirmed with noted example